ros-jazzy-clearpath-generator-common (2.9.3-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 26 Feb 2026 05:00:00 -0000

ros-jazzy-clearpath-generator-common (2.9.2-1noble) noble; urgency=high

  * Fix: Robotiq 2F 140 Limits and Padding (#311 <https://github.com/clearpathrobotics/clearpath_common/issues/311>)
    * Use package instead of file to define mesh path
    * Add padding parameter to define finger joint limits
    * Tune down to 0.767
  * Increase collision trials to 100,000 (#308 <https://github.com/clearpathrobotics/clearpath_common/issues/308>)
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 26 Feb 2026 05:00:00 -0000

ros-jazzy-clearpath-generator-common (2.9.1-1noble) noble; urgency=high

  * Bumped required clearpath_config dep.
  * Contributors: Tony Baltovski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 11 Feb 2026 05:00:00 -0000

ros-jazzy-clearpath-generator-common (2.9.0-1noble) noble; urgency=high

  * Proton Diagnostics (#301 <https://github.com/clearpathrobotics/clearpath_common/issues/301>)
    * Updated j100 acceleration parameters
    * Proton firmware version checks
    * Add proton path to aggregator
    * Initialise version string in constructor
    * Updated mcu firmware version logic
    * Linting
    * More linting
  * Fix: Update cmake version to 3.20 and fixed CI (#295 <https://github.com/clearpathrobotics/clearpath_common/issues/295>)
    * Update cmake version to 3.20
    * Switch to ubuntu:noble container
    * Use updated repos update action
    * Install python and pip
    * Add apt update
    * Update repos update action version
  * Contributors: Roni Kreinin, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 11 Feb 2026 05:00:00 -0000

ros-jazzy-clearpath-generator-common (2.8.5-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 30 Jan 2026 05:00:00 -0000

ros-jazzy-clearpath-generator-common (2.8.4-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 22 Dec 2025 05:00:00 -0000

ros-jazzy-clearpath-generator-common (2.8.3-1noble) noble; urgency=high

  * Fix: Generic (#280 <https://github.com/clearpathrobotics/clearpath_common/issues/280>)
    * Check for generic before creating drivetrain parameters
    * Add teleop_joy default parameter file for generic robot
    * Generic teleop values
    * Generic control file without a controller
    * Generic empty robot
    * Update path to cvontrol in empty generic URDF
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 16 Dec 2025 05:00:00 -0000

ros-jazzy-clearpath-generator-common (2.8.2-1noble) noble; urgency=high

  * Fix: UR Parameter Generation (#277 <https://github.com/clearpathrobotics/clearpath_common/issues/277>)
    Use merge instead of update to prevent clobbering parameters
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 06 Nov 2025 05:00:00 -0000

ros-jazzy-clearpath-generator-common (2.8.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 28 Oct 2025 04:00:00 -0000

ros-jazzy-clearpath-generator-common (2.8.0-1noble) noble; urgency=high

  * Put the router & base station diagnostics into Networking (#272 <https://github.com/clearpathrobotics/clearpath_common/issues/272>)
    * Put the router & base station diagnostics into Networking, update the wireless watcher to use the correct flag
    * Update the new diagnostic names
  * Add dependency on python3-apt (#273 <https://github.com/clearpathrobotics/clearpath_common/issues/273>)
  * Replace assertions in clearpath_generator_common with specific exceptions. Include error messages (#271 <https://github.com/clearpathrobotics/clearpath_common/issues/271>)
  * Catch FileNotFound exceptions when loading the samples and ignore them
    Some samples have /path/to/... placeholders, which will never load correctly (#270 <https://github.com/clearpathrobotics/clearpath_common/issues/270>)
  * Add system.bash support (#268 <https://github.com/clearpathrobotics/clearpath_common/issues/268>)
    * Add the ability to specify additional BASH sources & envars directly from robot.yaml. Put quotation marks around exports (required if the value contains whitespace). Add comments to the bash file for clarity
  * Add support for automatic discovery range (#262 <https://github.com/clearpathrobotics/clearpath_common/issues/262>)
    * Write the ROS_AUTOMATIC_DISCOVERY_RANGE and ROS_STATIC_PEERS envars
    * Unset ROS_STATIC_PEERS if there are no peers, rather than setting an empty string
  * Contributors: Chris Iverach-Brereton

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 23 Oct 2025 04:00:00 -0000

ros-jazzy-clearpath-generator-common (2.7.4-1noble) noble; urgency=high

  * Feature: Kinova Jazzy Support (#265 <https://github.com/clearpathrobotics/clearpath_common/issues/265>)
    * Remove prefix from Kinova gripper joint
    * Switch mesh paths from file to package
    * Add custom description generator for Robotiq gripper on Kinova
    * Replace 'PI' property with 'math.pi'
    * Add ComposableNodeContainer to launch generator
    * Remove output from ComposableNode
    * Fix generator test
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 18 Sep 2025 04:00:00 -0000

ros-jazzy-clearpath-generator-common (2.7.3-1noble) noble; urgency=high

  * Skip xacro load for zed camera since wrapper must be manually installed (#263 <https://github.com/clearpathrobotics/clearpath_common/issues/263>)
  * Forward Port Feature: Manipulator Extra ROS Parameters (#229 <https://github.com/clearpathrobotics/clearpath_common/issues/229>) (#259 <https://github.com/clearpathrobotics/clearpath_common/issues/259>)
    * Feature: Manipulator Extra ROS Parameters (#229 <https://github.com/clearpathrobotics/clearpath_common/issues/229>)
    * Pass manipulator ros parameters to generated controller file
    * Update platform config parameters
    * Remove pprint
    * Fix parameter replacements
  * Contributors: Hilary Luo, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 16 Sep 2025 04:00:00 -0000

ros-jazzy-clearpath-generator-common (2.7.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 08 Sep 2025 04:00:00 -0000

ros-jazzy-clearpath-generator-common (2.7.1-1noble) noble; urgency=high

  * Feature: Franka in Jazzy (#255 <https://github.com/clearpathrobotics/clearpath_common/issues/255>)
    * Forward from Humble: Feature Franka
    * Initial franka addition
    * Create joint instead of using connected_to parameter
    * Custom entry for generating Franka param
    * Franka control for multiple types
    * Modify entire Franka arm xacro
    * Add franka gripper
    * Copy and modify franka description
    * Add cutout for Franka arm_id
    * Add dependency for franka_description
    * Fix: Franka Update (#238 <https://github.com/clearpathrobotics/clearpath_common/issues/238>)
    * Pass version parameter to Franka Hardware Interface
    * Use franka_arm macro and always add position and velocity interfaces
    * Only use effort
    * Feature: Franka Hand (#244 <https://github.com/clearpathrobotics/clearpath_common/issues/244>)
    * Remove ros2_control controllers
    * Move gazebo control to a separate file
    * Pass arm_id to Franka SRDF
    * Pass poses from config with arm_id on Franka
    * Common method to replace placeholders in parameter files
    * Use appropriate placeholders in parameters
    * Replace controller_name placeholders at all points
    * Lint
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 08 Sep 2025 04:00:00 -0000

ros-jazzy-clearpath-generator-common (2.7.0-1noble) noble; urgency=high

  * Drivetrains (#237 <https://github.com/clearpathrobotics/clearpath_common/issues/237>)
    * Moved meshes to wheels folder
    Mecanum drivetrain for do100
    * Generic drivetrain URDFs
    * Pass hardware plugin string rather than block
    * Added drivetrain control parameters
    * Removed 2WD for Dingo-O
    * DO150
    * Dingo-D
    * R100
    * A300 urdf
    * Fixed xacro generate print
    * Generic teleop configs per controller
    Platform specific teleop only defines velocity limits
    * A200 drivetrain changes
    * W200 drivetrain urdf
    * Updated A300 meshes
    Mecanum and caster support
    * Separated caster wheel into swivel and wheel links
    * Fixed joystick axis mapping
    * Updated wheel_separation_multiplier for fwd and rwd on A300
    * URDF structure changes for J100
    Updated A200 and W200 to be 4WD
    * Linting
  * Feature/monitor default sensors (#240 <https://github.com/clearpathrobotics/clearpath_common/issues/240>)
    * Monitor default platform IMUs
    * Monitor default platform GPS
  * Contributors: Hilary Luo, Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 25 Aug 2025 04:00:00 -0000

ros-jazzy-clearpath-generator-common (2.6.4-1noble) noble; urgency=high

  * Fix: Update diagnostics rate for Inventus  (#243 <https://github.com/clearpathrobotics/clearpath_common/issues/243>)
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 29 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-generator-common (2.6.3-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 18 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-generator-common (2.6.2-1noble) noble; urgency=high

  * Only add sensors to the description if their urdf_enabled flag is true (#235 <https://github.com/clearpathrobotics/clearpath_common/issues/235>)
  * Contributors: Chris Iverach-Brereton

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 14 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-generator-common (2.6.1-1noble) noble; urgency=high

  * Forward Fix: Universal Robots Rate (#233 <https://github.com/clearpathrobotics/clearpath_common/issues/233>)
    * Fix/Feature: UR Arm Controller Update Rate (#225 <https://github.com/clearpathrobotics/clearpath_common/issues/225>)
    * Change controller update rate for universal robots to 500
    * Use UniversalRobots update_rate parameters if available
    * Remove Franka
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 07 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-generator-common (2.6.0-1noble) noble; urgency=high

  * Fix/expected diag rates (#227 <https://github.com/clearpathrobotics/clearpath_common/issues/227>)
    * loosen rate window for MCU to allow 1 message to be missed
    * Add lighting category to diagnostics aggregator conditionally
    * Set expected BMS Status rate based on battery type
    * Only create the Odometry category if ekf set true
    * Only create the Networking category if wireless watcher is enabled
    * Configurable tolerance window on diagnostics
    * Monitor estop instead of stop_status if stop status does not exist
    * Safety check for size of the labels lists
    * Add warning on estop status
    * Disable stop status rate by platform
  * Use argparse instead of getopt for processing the command-line arguments (#223 <https://github.com/clearpathrobotics/clearpath_common/issues/223>)
  * Add A300 AMP attachments (#200 <https://github.com/clearpathrobotics/clearpath_common/issues/200>)
    * Add meshes, URDFs for the A300 AMP and AMP Observer attachments
    * Add spotlight attachment with light plugin for simulation
    * Add Seyond description with lower-than-reality resolution & correct FoV for simulation. Fix math for calculating the number of samples
    * Add GPS plugins for the Fixposition description
  * Contributors: Chris Iverach-Brereton, Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 04 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-generator-common (2.5.1-1noble) noble; urgency=high

  * Fix permissions on the generate_zenoh_router executable (#221 <https://github.com/clearpathrobotics/clearpath_common/issues/221>)
  * Contributors: Chris Iverach-Brereton

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 17 Jun 2025 04:00:00 -0000

ros-jazzy-clearpath-generator-common (2.5.0-1noble) noble; urgency=high

  * Feature: Foxglove Bridge (#213 <https://github.com/clearpathrobotics/clearpath_common/issues/213>)
    * Add foxglove bridge launch and parameter file
    * Add foxglove bridge parameter to generator
  * Move clearpath_diagnostics to clearpath_common (#211 <https://github.com/clearpathrobotics/clearpath_common/issues/211>)
  * Add cooling and ekf-node diagnostic settings conditionally (#209 <https://github.com/clearpathrobotics/clearpath_common/issues/209>)
    * Add cooling and ekf-node diagnostic settings conditionally
  * Contributors: Hilary Luo, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 29 May 2025 04:00:00 -0000

ros-jazzy-clearpath-generator-common (2.3.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 30 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-generator-common (2.3.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 16 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-generator-common (2.3.0-1noble) noble; urgency=high

  * Feature: Add CAN adapters (#196 <https://github.com/clearpathrobotics/clearpath_common/issues/196>)
  * Fast Forward Feature: Add delay to manipulator controller (#191 <https://github.com/clearpathrobotics/clearpath_common/issues/191>)
  * Feature: Manipulator URDF Parameters (#181 <https://github.com/clearpathrobotics/clearpath_common/issues/181>) (#190 <https://github.com/clearpathrobotics/clearpath_common/issues/190>)
  * Feature: MoveIt Parameters and Enable (#166 <https://github.com/clearpathrobotics/clearpath_common/issues/166>) (#189 <https://github.com/clearpathrobotics/clearpath_common/issues/189>)
  * Feature: Manipulator Samples and Poses (#163 <https://github.com/clearpathrobotics/clearpath_common/issues/163>) (#188 <https://github.com/clearpathrobotics/clearpath_common/issues/188>)
  * Add exception handling to the generators to print a nicer error message in the case of self-generated Unsupported* exceptions (#192 <https://github.com/clearpathrobotics/clearpath_common/issues/192>)
  * Move extras launch into a new service (#185 <https://github.com/clearpathrobotics/clearpath_common/issues/185>)
  * Add support for INS sensors + Fixposition XVN (#184 <https://github.com/clearpathrobotics/clearpath_common/issues/184>)
  * Add MCU diagnostic category if not A200 (#183 <https://github.com/clearpathrobotics/clearpath_common/issues/183>)
  * Contributors: Chris Iverach-Brereton, Hilary Luo, Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 11 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-generator-common (2.2.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 09 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-generator-common (2.2.1-1noble) noble; urgency=high

  * Fix: Handle empty namespace (#187 <https://github.com/clearpathrobotics/clearpath_common/issues/187>)
    * Handle empty namespace
    * Resolve formatting issues
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 07 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-generator-common (2.2.0-1noble) noble; urgency=high

  * Feature Jazzy Ouster (#170 <https://github.com/clearpathrobotics/clearpath_common/issues/170>)
    * Add OusteOS1 description
    * Custom OusterOS1 generator
    * Ouster use custom description generator
    * Use appropriate generator for Ouster
  * Add D455, D456 support (#176 <https://github.com/clearpathrobotics/clearpath_common/issues/176>)
    * Add URDFs for all supported RealSense cameras
    * Pass the device_type as the model parameter to the master URDF, move specific types into a sub-directory and include them as necessary
  * Add support for OAK-D Pro W PoE (#174 <https://github.com/clearpathrobotics/clearpath_common/issues/174>)
    * Add the model for the OAK-D Pro W; it's identical to the OAK-D Pro. Add model type support to the OAK-D description
  * Feature/generate aggregator config (#173 <https://github.com/clearpathrobotics/clearpath_common/issues/173>)
    * Generate diagnostic aggregator sensor params based on robot.yaml
    * Remove redundant read of the default param file
  * Add URDF, STL files for the Seyond Robin W lidar (#169 <https://github.com/clearpathrobotics/clearpath_common/issues/169>)
    * Add URDF, STL files for the Seyond Robin W lidar
  * Contributors: Chris Iverach-Brereton, Hilary Luo, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 11 Mar 2025 04:00:00 -0000

ros-jazzy-clearpath-generator-common (2.1.0-1noble) noble; urgency=high

  * Jazzy Phidgets IMU Filter (#159 <https://github.com/clearpathrobotics/clearpath_common/issues/159>)
    * Add imu data topic to Phidget diagnostics
    * Check for IMU index
  * Feature/ekf diagnostics (#158 <https://github.com/clearpathrobotics/clearpath_common/issues/158>)
    * Enable ekf node diagnostics
    * Fix CI
  * Ewellix Lift (#136 <https://github.com/clearpathrobotics/clearpath_common/issues/136>) (#153 <https://github.com/clearpathrobotics/clearpath_common/issues/153>)
    Ewellix Lift
    - Add lift description
    - Add lifts to generators
  * Feature/diagnostics (#156 <https://github.com/clearpathrobotics/clearpath_common/issues/156>)
    * Generate params for new diagnostics package
    * Link sim rates to config objects or match number with todo note
    * Added firmware version check
    * Disable MCU diagnostics for A200
  * Replace .h with .hpp per compilation warning (#154 <https://github.com/clearpathrobotics/clearpath_common/issues/154>)
  * Contributors: Chris Iverach-Brereton, Hilary Luo, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 31 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-generator-common (2.0.3-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 21 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-generator-common (2.0.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 20 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-generator-common (2.0.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 17 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-generator-common (2.0.0-1noble) noble; urgency=high

  * clearpath_generator_common/clearpath_generator_common/zenoh_router/generator.py (#146 <https://github.com/clearpathrobotics/clearpath_common/issues/146>)
  * Use the .profile field for the Zenoh router config; don't add a new variable just for that (#143 <https://github.com/clearpathrobotics/clearpath_common/issues/143>)
  * Catch the new unsupported platform/accessory exceptions raised by the generator so the tests pass, use the envar when setting the default value of ROS_DISTRO (#104 <https://github.com/clearpathrobotics/clearpath_common/issues/104>)
    Co-authored-by: Tony Baltovski <mailto:tbaltovski@clearpathrobotics.com>
  * Add Zenoh support (#138 <https://github.com/clearpathrobotics/clearpath_common/issues/138>)
    * Add generator for zenoh router service script
    * Add the ZENOH_ROUTER_CONFIG_URI envar to the generated bash file, populated with either the default path or the user-specified one as needed
  * Add enable_ekf launch parameter to platform -> localization launch files. Disable the EKF node if enable_ekf is false. (#133 <https://github.com/clearpathrobotics/clearpath_common/issues/133>)
  * Fix test errors (#132 <https://github.com/clearpathrobotics/clearpath_common/issues/132>)
    * Add continue clause to the unsupported device/platform exceptions so we don't try any further tests with them
    * Fix URDF parameters so the source CI passes with the axis cameras
  * Add the A200 Observer backpack attachment (#122 <https://github.com/clearpathrobotics/clearpath_common/issues/122>)
    * Add the A200 Observer backpack attachment
  * Fix sensor depends (#129 <https://github.com/clearpathrobotics/clearpath_common/issues/129>)
    * Remove the package initializations that depend on robot packages
    * Add a copy of the imu_filter parameters from clearpath_sensors to clearpath_control. Change the default IMU filter config path to point to this file. Remove more unneeded initializations of clearpath_robot packages
  * A300 VCAN (#130 <https://github.com/clearpathrobotics/clearpath_common/issues/130>)
    * A300 vcan1
    * Set vcan0 to be default can interface for lynx control
    * Fix to prevent including the same package multiple times
    * Added filename argument to LaunchFile
    * Linting
  * Add PTZ sim support (#125 <https://github.com/clearpathrobotics/clearpath_common/issues/125>)
    * Now that axis_camera is released via OSRF, depend on the official package, remove duplicate meshes
    * Rename Gazebo plugins for Jazzy compatibility
    * Modify Axis camera URDFs to using the axis_camera meshes. This lets us control the gazebo topics. Fix the GZ topic names. Camera data is now visible in the simulation
    * Add joint controllers for the pan & tilt actuators. This provides velocity control over the simulated camera
  * Add a placeholer URDF for the AMP mount, update meshes (#123 <https://github.com/clearpathrobotics/clearpath_common/issues/123>)
    * Add a placeholer URDF for the AMP mount; STL & final dimensions to come at a later date
    * Default to treaded wheels, flip all the wheel models so the treads visually go in the correct direction
    * Update the top plate, chassis, livery, smooth wheel, and status light meshes. Closes CPE87-2102
    * Catch unsupported platforms/accessories in vcan generation tests
  * Update simulation support for Jazzy (#117 <https://github.com/clearpathrobotics/clearpath_common/issues/117>)
    * Rename gazebo plugins to use new gz nomenclature instead of ign/ignition. Use stamped velocity messages.
    * Restructure the twist_mux yaml file to be more legible, remove the parameters that are overwritten by the launch file anyway
    * Put use_stamped back just for the sake of being explicit. Add use_stamped directly to the launch file
    * Fix the tests to catch unsupported platforms & accessories
  * Fix the discovery server to use the new path too
  * Create ros module to contain default distro & default setup.bash path to make updating distributions easier
  * Contributors: Chris Iverach-Brereton, Luis Camero, Roni Kreinin, Tony Baltovski, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 16 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-generator-common (1.0.0-1noble) noble; urgency=high

  * Added minimum version.
  * Remove all references to clearpath_platform
  * Add support for Axis cameras (#113 <https://github.com/clearpathrobotics/clearpath_common/issues/113>)
    * Add axis camera URDFs & meshes
    * Fix the path for the meshes
    * Add the AxisCameraDescription class
    * Remove the axis_camera files, add a dependency on axis_description. Add a new meta-macro that uses the camera type
    * Use the device_type to set the model for the new description macro
    * Add the update_rate to the URDF
    * Add default topic for the URDF
    * Remove the update_rate parameter; it's not supported by axis_camera
    * Add the update_rate parameter back to the meta macro, but don't pass it
    * Add the axis camera URDFs & STLs from axis_description, use the local copies instead of having an external dependency
    * Add RGBA values for the "black" material, rename it to avoid conflicting with any other material definitions
  * Add UR arm (#110 <https://github.com/clearpathrobotics/clearpath_common/issues/110>)
  * VCAN Rework (#112 <https://github.com/clearpathrobotics/clearpath_common/issues/112>)
    * VCan service script generator
    * Use formatted strings to shorten line length and expose variables
  * Add test exception for Zed (#100 <https://github.com/clearpathrobotics/clearpath_common/issues/100>)
  * Contributors: Chris Iverach-Brereton, Luis Camero, Tony Baltovski, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 25 Nov 2024 05:00:00 -0000

ros-jazzy-clearpath-generator-common (0.3.4-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 08 Oct 2024 04:00:00 -0000

ros-jazzy-clearpath-generator-common (0.3.3-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 04 Oct 2024 04:00:00 -0000

ros-jazzy-clearpath-generator-common (0.3.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 29 Sep 2024 04:00:00 -0000

ros-jazzy-clearpath-generator-common (0.3.1-1noble) noble; urgency=high

  * Add manipulator dependencies
  * Fixed linting issues for manipulator generation
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 23 Sep 2024 04:00:00 -0000

ros-jazzy-clearpath-generator-common (0.3.0-1noble) noble; urgency=high

  * Changes.
  * Add meshes and URDF for robotiq 2f 140
  * Standard mesh names and height parameter for tower shoulder
  * R100 attachment rework
  * Add Dingo plate to generator
  * 0.3.0 Release Candidate with Main Changes (#81 <https://github.com/clearpathrobotics/clearpath_common/issues/81>)
    * Added tests
    * Added action to build from release and source
    * Generator linting erros
    * Customization linting errors
    * Linting
    * Fix: Remove IP address from discovery server launch so it listens on all NICs
    * Changes.
    * 0.2.8
    * Add sysctl config file that changes ipfrag settings to support receiving large messages
    * Added Zed URDF
    * Added Zed to description generator
    * Modified common parameter generation to always flatten
    * Changes.
    * 0.2.9
    * Missing important remapping to mirror hardware topics
    * Added topic to gazebo plugins
    * Updated topic names to match gazebo message types
    * Topics of simulated onboard sensors
    * Realsense adds optical links when in simulator
    * Changes.
    * 0.2.10
    * Modifies platform param to add GQ7 IMU data to ekf_localization and adds GQ7 URDF
    * Fixes styling issues
    * Set spawner as super client
    * Changes.
    * 0.2.11
    * Removed duplicate class
    * Use ROS1 covariance values
    * Updated renamed macanum drive controller
    * Enable gazebo friction plugin on DingoO
    ---------
    Co-authored-by: Hilary Luo <mailto:hluo@clearpathrobotics.com>
    Co-authored-by: Tony Baltovski <mailto:tbaltovski@clearpathrobotics.com>
    Co-authored-by: Steve Macenski <mailto:stevenmacenski@gmail.com>
    Co-authored-by: robbiefish <mailto:rob.fisher@hbkworld.com>
  * 0.2.8
  * Changes.
  * Fix: Remove IP address from discovery server launch so it listens on all NICs
  * 0.2.7
  * Changes.
  * ARM_MOUNT to ARM_PLATE
  * Linting issues
  * Use if statement
  * Fixed all license headers
  * Fixed linting issues of collision updater node
  * Pass parameters to Kinova URDF
  * Updated generators to deal with grippers as part of arms
  * Create control file for manipulator controller manager
  * Only add manipulator controllers if simulation
  * Added virtual method for manipulator launch generation
  * Added semantic description generator
  * Added manipulators to parameter generator
  * Add manipulators to description generator
  * Modifications to allow arms to function
  * Added simple package writer to copy package from template
  * Check terminal to set ROS_SUPER_CLIENT
  * Generate script to start the discovery server
  * Updated setup.bash generation for discovery server
  * 0.2.6
  * Changes.
  * 0.2.5
  * Changes.
  * switch finding meshes to use the package:// command
  * 0.2.4
  * Changes.
  * [clearpath_generator_common] Added package description.
  * 0.2.3
  * Changes.
  * Handle file paths with no directory (files in root directory of the package)
  * 0.2.2
  * Changes.xx
  * Enable extras urdf and meshes to be linked by package (#53 <https://github.com/clearpathrobotics/clearpath_common/issues/53>)
  * 0.2.1
  * Changes.
  * Contributors: Hilary Luo, Luis Camero, Tony Baltovski, luis-camero
  * Add meshes and URDF for robotiq 2f 140
  * Standard mesh names and height parameter for tower shoulder
  * R100 attachment rework
  * Add Dingo plate to generator
  * Added tests
  * Added action to build from release and source
  * Generator linting erros
  * Customization linting errors
  * Fix: Remove IP address from discovery server launch so it listens on all NICs
  * Add sysctl config file that changes ipfrag settings to support receiving large messages
  * Added Zed URDF
  * Added Zed to description generator
  * Modified common parameter generation to always flatten
  * Missing important remapping to mirror hardware topics
  * Added topic to gazebo plugins
  * Updated topic names to match gazebo message types
  * Topics of simulated onboard sensors
  * Realsense adds optical links when in simulator
  * Modifies platform param to add GQ7 IMU data to ekf_localization and adds GQ7 URDF
  * Fixes styling issues
  * Set spawner as super client
  * Removed duplicate class
  * Use ROS1 covariance values
  * Updated renamed macanum drive controller
  * Enable gazebo friction plugin on DingoO
  * Contributors: Hilary Luo, Luis Camero, Tony Baltovski, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 19 Sep 2024 04:00:00 -0000

ros-jazzy-clearpath-generator-common (0.2.11-1noble) noble; urgency=high

  * Fixes styling issues
  * Modifies platform param to add GQ7 IMU data to ekf_localization and adds GQ7 URDF
  * Contributors: robbiefish

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 08 Aug 2024 04:00:00 -0000

ros-jazzy-clearpath-generator-common (0.2.10-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 25 Jul 2024 04:00:00 -0000

ros-jazzy-clearpath-generator-common (0.2.9-1noble) noble; urgency=high

  * Modified common parameter generation to always flatten
  * Added Zed to description generator
  * Add sysctl config file that changes ipfrag settings to support receiving large messages
  * Linting
  * Generator linting erros
  * Added tests
  * Contributors: Hilary Luo, Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 28 May 2024 04:00:00 -0000

ros-jazzy-clearpath-generator-common (0.2.8-1noble) noble; urgency=high

  * Fix: Remove IP address from discovery server launch so it listens on all NICs
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 14 May 2024 04:00:00 -0000

ros-jazzy-clearpath-generator-common (0.2.7-1noble) noble; urgency=high

  * ARM_MOUNT to ARM_PLATE
  * Added simple package writer to copy package from template
  * Check terminal to set ROS_SUPER_CLIENT
  * Generate script to start the discovery server
  * Updated setup.bash generation for discovery server
  * Contributors: Hilary Luo, Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 08 Apr 2024 04:00:00 -0000

ros-jazzy-clearpath-generator-common (0.2.6-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 18 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-generator-common (0.2.5-1noble) noble; urgency=high

  * switch finding meshes to use the package:// command
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 15 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-generator-common (0.2.4-1noble) noble; urgency=high

  * [clearpath_generator_common] Added package description.
  * Contributors: Tony Baltovski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 11 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-generator-common (0.2.3-1noble) noble; urgency=high

  * Handle file paths with no directory (files in root directory of the package)
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 08 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-generator-common (0.2.2-1noble) noble; urgency=high

  * Enable extras urdf and meshes to be linked by package (#53 <https://github.com/clearpathrobotics/clearpath_common/issues/53>)
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 04 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-generator-common (0.2.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 21 Dec 2023 05:00:00 -0000

ros-jazzy-clearpath-generator-common (0.2.0-1noble) noble; urgency=high

  * Added wheel parameters to all robot
  * Wheel is now parameter
  * Adds Blackfly camera to sensor description (#33 <https://github.com/clearpathrobotics/clearpath_common/issues/33>)
    * Adds Blackfly camera to sensor description
    ---------
    Co-authored-by: fazzrazz <mailto:danielduranrojas@gmail.com>
  * Removed print in platform description generator
  * Add imu0 to ekf_node for all platforms except A200
  * Added W200 attachments to generator
  * Platform no longer required
  * Added  to materials
  * Removed unecessary SimpleDescription
  * Attachments not restricted by platform
  * Simplified attachment generation
  * Removed debug print
  * Removed gazebo include from generator
  * Read control.yaml directly from clearpath config specified file
  * Allow for no macro to be added
  * Moved gazebo controller to common
  * Added Generic platform
  * Contributors: Hilary Luo, Luis Camero, Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 08 Dec 2023 05:00:00 -0000

ros-jazzy-clearpath-generator-common (0.1.3-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 03 Nov 2023 04:00:00 -0000

ros-jazzy-clearpath-generator-common (0.1.2-1noble) noble; urgency=high

  * Adds Blackfly camera to sensor description (#33 <https://github.com/clearpathrobotics/clearpath_common/issues/33>)
    * Adds Blackfly camera to sensor description
    ---------
    Co-authored-by: fazzrazz <mailto:danielduranrojas@gmail.com>
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 02 Oct 2023 04:00:00 -0000

ros-jazzy-clearpath-generator-common (0.1.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 25 Aug 2023 04:00:00 -0000

ros-jazzy-clearpath-generator-common (0.1.0-1noble) noble; urgency=high

  * Removed joy_teleop namespace, remap topics to that namespace instead
  * Added fenders for J100
  * Renamed UST10 to UST
    Added parameter node list
  * Removed disk import
  * Added disk and post
    Set default values to model dictionaries
  * Inverted and upright sick stand
  * Added UM6/7
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 17 Aug 2023 04:00:00 -0000

ros-jazzy-clearpath-generator-common (0.0.9-1noble) noble; urgency=high

  * Added Garmin 18x, Novatel smart 6 and 7
  * Update platform nodes from extra ros parameters
    Flattened default parameter files
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 31 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-generator-common (0.0.8-1noble) noble; urgency=high

  * Linting
  * use_sim_time support
  * Description and Bash generator cleanup
  * Minor cleanup
  * Param generator
  * Launch generator cleanup
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 24 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-generator-common (0.0.7-1noble) noble; urgency=high

  * Renamed description to attachments
  * Rnamed accessories to links
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 19 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-generator-common (0.0.6-1noble) noble; urgency=high

  * Merge pull request #18 <https://github.com/clearpathrobotics/clearpath_common/issues/18> from clearpathrobotics/updated-config
    Updated common generators to match config
  * Fixed getters
  * Updated common generators to match config
  * Contributors: Luis Camero, Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 13 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-generator-common (0.0.5-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 12 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-generator-common (0.0.4-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 07 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-generator-common (0.0.3-1noble) noble; urgency=high

  * Linters
  * Updated localization configs
  * Updated husky track value
  * Wheel slip plugin
    Significantly improved jackal odom in sim
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 05 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-generator-common (0.0.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 04 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-generator-common (0.0.1-1noble) noble; urgency=high

  * Updated launch writer make writing different object types easier
    Localization parameter fixes
    Updated gazebo wheel friction
  * Added namespacing support
  * Updated dependencies
  * Added clearpath_generator_common
    Moved clearpath_platform to clearpath_common
    Fixed use_sim_time parameter issue with ekf_node
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 21 Jun 2023 04:00:00 -0000


